Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1337621 - Transaction Error for Install/Upgrade Package qt5-qtdeclarative-devel
Summary: Transaction Error for Install/Upgrade Package qt5-qtdeclarative-devel
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtdeclarative
Version: 23
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-19 16:02 UTC by Shadders
Modified: 2016-12-20 20:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:37:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Shadders 2016-05-19 16:02:02 UTC
Description of problem:
Requirement to install qt5-qtdeclarative-devel. Implement dnf install, causes transaction failure : 

Error: Transaction check error:
  file /usr/lib64/libQt5QuickWidgets.so.5 from install of qt5-qtdeclarative-devel-5.6.0-4.fc23.x86_64 conflicts with file from package qt5-qtdeclarative-5.5.0-2.fc23.x86_64

Follow instructions "dnf clean packages" same issue occurs. 

Implement "dnf upgrade qt5-qtdeclarative-devel", response is that :

Package qt5-qtdeclarative-devel not installed, cannot update it.

As such, cannot install, and since not installed - cannot upgrade. 

Version-Release number of selected component (if applicable):5.6.0


How reproducible:
On my PC, unable to progress - hence is reproducible. 


Steps to Reproduce:
1.dnf install qt5-qtdeclarative-devel (fails with Transaction error)
2.dnf clean packages (successful)
3.dnf upgrade  qt5-qtdeclarative-devel (package is not installed - cannot upgrade)

Actual results:
As per description - cannot install, and since system states not installed, cannot upgrade. 

Expected results:
Should be success to install or upgrade - all other packages are ok.

Additional info:
Clean Fedora 23 build (17/05/2016) - no issues - all working ok. Qt is working for Qt Creator and Designer - just Qt Quick not working which requires the packages unable to install. Entire system is up to date. Only used basic commands to install - which is "dnf" from command line. Not sure of the severity - hence marked low.

Comment 1 Rex Dieter 2016-05-19 16:10:38 UTC
OK, so there's 2 problems:

* clearly a packaging bug:
qt5-qtdeclarative-devel should not own libQt5QuickWidgets.so.5

I'll fix this asap


* dnf is doing something screwy, qt5-qtdeclarative-devel had a hard, versioned dep on it's own  qt5-qtdeclarative main package.  Meaning, they should always install the same version's, but in this case it's not:
qt5-qtdeclarative-devel-5.6.0-4.fc23.x86_64
vs
qt5-qtdeclarative-5.5.0-2.fc23.x86_64

dnf *should* try to install/upgrade qt5-qtdeclarative-5.6.0-4.fc23.x86_64 too


Can you post the full output from:

rpm -q qt5-qtdeclarative

dnf install qt5-qtdeclarative-devel

?

Comment 2 Rex Dieter 2016-05-19 16:14:30 UTC
that said, it may be worth installing all (stable) updates first, before you try to install anything else new:

dnf update

that may help mitigate the problem here as well.

Comment 3 Shadders 2016-05-19 19:37:52 UTC
(In reply to Rex Dieter from comment #2)
> that said, it may be worth installing all (stable) updates first, before you
> try to install anything else new:
> 
> dnf update
> 
> that may help mitigate the problem here as well.

Hi Rex,

Yes - have done this already - all packages are up to date - nothing to do message returned. 

Thanks and regards,

Shadders.

Comment 4 Shadders 2016-05-19 19:42:10 UTC
(In reply to Rex Dieter from comment #1)
> OK, so there's 2 problems:
> 
> * clearly a packaging bug:
> qt5-qtdeclarative-devel should not own libQt5QuickWidgets.so.5
> 
> I'll fix this asap
> 
> 
> * dnf is doing something screwy, qt5-qtdeclarative-devel had a hard,
> versioned dep on it's own  qt5-qtdeclarative main package.  Meaning, they
> should always install the same version's, but in this case it's not:
> qt5-qtdeclarative-devel-5.6.0-4.fc23.x86_64
> vs
> qt5-qtdeclarative-5.5.0-2.fc23.x86_64
> 
> dnf *should* try to install/upgrade qt5-qtdeclarative-5.6.0-4.fc23.x86_64 too
> 
> 
> Can you post the full output from:
> 
> rpm -q qt5-qtdeclarative
> 
> dnf install qt5-qtdeclarative-devel
> 
> ?

Hi Rex,

Outputs as follows :

+++++++++++++++++++++++++++++++++++++++
# rpm -q qt5-qtdeclarative
qt5-qtdeclarative-5.5.0-2.fc23.x86_64
qt5-qtdeclarative-5.6.0-4.fc23.x86_64
+++++++++++++++++++++++++++++++++++++++

# dnf install qt5-qtdeclarative-devel
Last metadata expiration check: 4:10:05 ago on Thu May 19 16:28:24 2016.
Dependencies resolved.
=================================================================================================================================================================================================
 Package                                                  Arch                                    Version                                         Repository                                Size
=================================================================================================================================================================================================
Installing:
 qt5-qtdeclarative-devel                                  x86_64                                  5.6.0-4.fc23                                    updates                                  695 k

Transaction Summary
=================================================================================================================================================================================================
Install  1 Package

Total size: 695 k
Installed size: 4.3 M
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] qt5-qtdeclarative-devel-5.6.0-4.fc23.x86_64.rpm: Already downloaded                                                                                                                   
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/lib64/libQt5QuickWidgets.so.5 from install of qt5-qtdeclarative-devel-5.6.0-4.fc23.x86_64 conflicts with file from package qt5-qtdeclarative-5.5.0-2.fc23.x86_64

Error Summary
-------------
+++++++++++++++++++++++++++++++++++++++++

There was no error summary text (i did not miss in the copy and paste).

Thanks for responding so quickly, much appreciated. 

Regards,

Shadders.

Comment 5 Rex Dieter 2016-09-14 17:39:30 UTC
# rpm -q qt5-qtdeclarative
qt5-qtdeclarative-5.5.0-2.fc23.x86_64
qt5-qtdeclarative-5.6.0-4.fc23.x86_64

that's part of the problem... you should only have one qt5-qtdeclarative pkg.

I'd suggest trying (as root)

rpm -e qt5-qtdeclarative-5.5.0-2.fc23

Comment 6 Fedora End Of Life 2016-11-25 09:05:39 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2016-12-20 20:37:13 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.